libzypp: ztui::CCString< _ctxt > Struct Template Reference

libzypp 17.36.6

Public Member Functions | List of all members
ztui::CCString< _ctxt > Struct Template Reference

`#include <zypp-tui/utils/colors.h>`

Inheritance diagram for ztui::CCString< _ctxt >:

## Public Member Functions
| CCString ()
| CCString (const std::string &str_r)
| CCString (std::string &&str_r)
Public Member Functions inherited from ztui::ansi::ColorString
| ColorString ()
| ColorString (Color color_r)
| Ctor from color.
| ColorString (const std::string &str_r)
| Ctor from string.
| ColorString (std::string &&str_r)
| ColorString (const std::string &str_r, Color color_r)
| Ctor from string and color.
| ColorString (std::string &&str_r, Color color_r)
| ColorString (Color color_r, const std::string &str_r)
| Ctor from color and string.
| ColorString (Color color_r, std::string &&str_r)
ColorString & | operator= (const std::string &str_r)
| Assign new string.
ColorString & | operator= (std::string &&str_r)
ColorString & | operator<< (const ColorString &rhs)
| Append a \Ref ColorString.
ColorString & | operator<< (const std::string &str_r)
| Append a string.
ColorString & | operator= (Color color_r)
| Assign Color.
ColorString & | operator<= (Color color_r)
| Update Color.
ColorString | operator() (Color color_r) const
| Return a copy with different color.
Color | color () const
| Return strings Color.
bool | empty () const
| Whether the underlying string is empty.
std::string::size_type | size () const
| Size of the underlying string.
std::string | str () const
| Return the colored string if do_colors.
std::string | asString () const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
std::string | str (Color color_r) const
| Return the string rendered in a differernt color if do_colors.
const std::string & | plainstr () const
| Return the underlying plain string.
std::string & | plainstr ()
| Return the underlying plain string.
const std::string & | operator* () const
| Access the underlying plain string via `operator*`.
std::string & | operator* ()
| Access the underlying plain string via `operator*`.

## Additional Inherited Members
Related Symbols inherited from ztui::ansi::ColorString
std::ostream & | operator<< (std::ostream &str, const ColorString &obj)
| Print colored on ostream.

## Detailed Description

template<ColorContext _ctxt>
struct ztui::CCString< _ctxt >

Definition at line 66 of file colors.h.

## Constructor & Destructor Documentation

## ◆ CCString() [1/3]

template<ColorContext _ctxt>

ztui::CCString< _ctxt >::CCString | ( |  | ) |
| inline

Definition at line 68 of file colors.h.

## ◆ CCString() [2/3]

template<ColorContext _ctxt>

ztui::CCString< _ctxt >::CCString | ( | const std::string & | str_r | ) |
| inlineexplicit

Definition at line 69 of file colors.h.

## ◆ CCString() [3/3]

template<ColorContext _ctxt>

ztui::CCString< _ctxt >::CCString | ( | std::string && | str_r | ) |
| inlineexplicit

Definition at line 70 of file colors.h.

The documentation for this struct was generated from the following file:

- zypp-tui/utils/colors.h